# SubmissionComment

Represents a comment on a submission on SMHW.

## Constructor

#### new SubmissionComment(client, response)

Instantiate a SubmissionComment object.

Parameters:

Name | Type | Description
--- | --- | ---
`client` | Client | The client that is instantiating the object.
`response` | Object | The data for the object.

Source:
  - structures/SubmissionComment.js, line 10

### Members

#### (private) _client :Client

The client that instantiated this object.

Type:

- Client

Source:
  - structures/SubmissionComment.js, line 16

#### assignment :AssignmentInformation

The assignment information of the submission comment.

Type:

- AssignmentInformation

Source:
  - structures/SubmissionComment.js, line 28

#### assignment_id :Number

The ID of the assignment of the submission comment.

Type:

- Number

Source:
  - structures/SubmissionComment.js, line 34

#### assignment_type :String

The type of assignment that the comment was posted on.

Type:

- String

Source:
  - structures/SubmissionComment.js, line 99

#### created_at :Number

The timestamp of when the submission comment was created.

Type:

- Number

Source:
  - structures/SubmissionComment.js, line 40

#### id :Number

The ID of the submission comment.

Type:

- Number

Source:
  - structures/SubmissionComment.js, line 46

#### origin :String

The origin of the submission comment.

Type:

- String

Source:
  - structures/SubmissionComment.js, line 52

#### shared_submission_comment_id :Number

The ID of the shared submission comment.

Type:

- Number

Source:
  - structures/SubmissionComment.js, line 58

#### submission :SubmissionInformation

The submission information of the submission comment.

Type:

- SubmissionInformation

Source:
  - structures/SubmissionComment.js, line 69

#### submission_type :String

The type of submission that the comment was posted on.

Type:

- String

Source:
  - structures/SubmissionComment.js, line 105

#### text :String

The content of the submission comment.

Type:

- String

Source:
  - structures/SubmissionComment.js, line 75

#### updated_at :Number

The timestamp of when the submission comment was last updated.

Type:

- Number

Source:
  - structures/SubmissionComment.js, line 81

#### user_id :Number

The ID of the user who posted the comment.

Type:

- Number

Source:
  - structures/SubmissionComment.js, line 87

#### user_name :String

The name of the user who posted the comment.

Type:

- String

Source:
  - structures/SubmissionComment.js, line 93

### Methods

#### getUser() → {Promise.<User>}

Get the user who posted the comment.

Source:
  - structures/SubmissionComment.js, line 112

Returns:

Type
  Promise.<User>